<?php
// Ruta al archivo CSV
foreach($_GET as $key => $value){${$key}=trim(str_replace("'","\'",str_replace('"','\"',$value))); $_PARAMS[$key]=${$key};} 
foreach($_POST as $key => $value){${$key}=trim(str_replace("'","\'",str_replace('"','\"',$value))); $_PARAMS[$key]=${$key};} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}


return;

$sql_cc19='select * from dxco1 where docu="CC19" and numero <999999 order by numero desc';
$res_cc19=msql_query($sql_cc19,$link_data);
$num=msql_result($res_cc19,0,'numero')*1;

$sql_cc19='select * from dxco1 where docu="CC19" and numero >999999 order by fecha,idnum1';
$res_cc19=msql_query($sql_cc19,$link_data);


while($asoc_cc19=msql_fetch_assoc($res_cc19))
{
     $num++;
     $numero=str_pad($num, 9, "0", STR_PAD_LEFT);
     
     $sql_updt='update dxco1 set numero="'.$numero.'" where idnum1="'.$asoc_cc19['idnum1'].'"';
     $res_updt=msql_query($sql_updt,$link_data);
     
     echo '<br>==== '.$sql_updt;
}




return;

echo '<br>============'.$cfg_empr;
echo '<br>';
if($cfg_empr!='icvs'){return;}



// load_csv1('../_lib/V1100.csv');
// load_csv1('../_lib/V1200.csv');
load_csv1('../_lib/V2100.csv');


// return;



function load_csv1($xfile)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}

     $archivo_csv=$xfile;
// Abrir el archivo en modo lectura
if (($handle = fopen($archivo_csv, "r")) !== FALSE) {
    // Leer la primera fila (encabezados)
    $encabezados = fgetcsv($handle, 1000, ",");

    // Recorrer las filas del archivo
    while (($fila = fgetcsv($handle, 1000, ",")) !== FALSE) 
    {
        // Asociar la fila con los encabezados
        $datos = array_combine($encabezados, $fila);

        // Mostrar los datos de cada fila (puedes adaptarlo según tu necesidad)
//          echo '<br>';
//         echo "N: " . $datos['N'] . "\n";
//         echo "Nombre: " . $datos['vndd'] . "\n";
//         echo "Estado: " . $datos['Estado'] . "\n";
//         echo "Total: " . $datos['puni'] . "\n";
//         echo "------------------------\n";
         
//          $datos['numero']=$datos['N'];
         
//          if($datos['numero']*1>0)
         
         if($datos['N']*1>0)
         {
              
              $sql_vtas='select * from vtas1 where docu="FC50" and numero="'.$datos['numero'].'"';
              $res_vtas=msql_query($sql_vtas,$link_data);
              $idnum=msql_result($res_vtas,0,'idnum1');

              if(empty($idnum))
              {
                   $sql_inse='insert into vtas1(docu,numero)value("FC50","'.$datos['numero'].'")';
                   $res_inse=msql_query($sql_inse,$link_data);
                   $res_vtas=msql_query($sql_vtas,$link_data);
                   $idnum=msql_result($res_vtas,0,'idnum1');
              }

              
              $sql_dele='delete from vtas2 where idnum2="'.$idnum.'"';
              $res_dele=msql_query($sql_dele,$link_data);
              
              $sql_inse='insert into vtas2(idnum2,iddet)value("'.$idnum.'","1")';
              $res_inse=msql_query($sql_inse,$link_data);
              
//               if(empty($datos['fecha'])){$datos['fecha']="2020-01-01";}

              $numero=$datos['numero'];
              $enti=trim(str_replace('-','',$datos['enti']));
              
              if($datos['N']*1==1185)
              {
//                    echo '<br>==== '.$datos['enti'];
//                    echo '<br>==== '.$enti;
              }
              
              $ptoe='00'.substr($datos['numero'],0,4);
              $ptov='00'.substr($datos['numero'],0,4);
              $caja='00'.substr($datos['numero'],0,4);
              
              $sql_updt='update vtas1 set ';
              $sql_updt.='fecha="'.$datos['fecha'].'",';
              $sql_updt.='numero="'.$numero.'",';
              $sql_updt.='ptoe="'.$ptoe.'",';
              $sql_updt.='ptov="'.$ptov.'",';
              $sql_updt.='enti="'.$enti.'",';
              $sql_updt.='attn="'.$datos['atencion'].'",';
              $sql_updt.='concepto="'.$datos['concepto'].'",';
              $sql_updt.='vndd="'.$datos['vndd'].'",';
              $sql_updt.='infoadic="'.$datos['infoadic'].'",';
              $sql_updt.='proyecto="NUEVA JERUSALEM",';
              $sql_updt.='pisomz="'.$datos['pisomz'].'",';
              $sql_updt.='dptovi="'.$datos['dptovi'].'",';
              $sql_updt.='idate=now(),';
              $sql_updt.='status="-"';
              $sql_updt.='where idnum1="'.$idnum.'" ';
              $res_updt=msql_query($sql_updt,$link_data);
              
              echo '<br>==>'.$sql_updt;
              
              $sql_updt='update vtas2 set ';
              $sql_updt.='cant=1,';
              $sql_updt.='item="'.$datos['item'].'",';
              $sql_updt.='puni="'.$datos['puni'].'",';
              $sql_updt.='detalle="'.$datos['detalle'].'"';
              $sql_updt.='where idnum2="'.$idnum.'" ';
              $res_updt=msql_query($sql_updt,$link_data);

              
//               $sql_updt='update vtas1 set fecha="2020-01-01" where fecha <"2020-01-01"';
//               $res_updt=msql_query($sql_updt,$link_data);
              
//               $sql_updt='update vtas1 set enti="9999999999" where ifnull(enti,0)*1=0';
//               $res_updt=msql_query($sql_updt,$link_data);
              
              $sql_updt='update enti0 set enti_wsapp="'.$datos['wsapp'].'" where enti_codigo="'.$enti.'"';
              $res_updt=msql_query($sql_updt,$link_data);
              
              
              for($idx=0; $idx<=22; $idx++)
              {
                   if($datos[$idx]>0)
                   {
                        $colu=str_pad($idx,2,'0',STR_PAD_LEFT);
                        $numecaja=substr($datos['numero'],0,2).$colu.substr($datos['numero'],4,10);
                        echo '<br>=>'.$numecaja;
                        
                        $sql_caja='select * from caja1 where docu="IE10" and numero="'.$numecaja.'"';
                        $res_caja=msql_query($sql_caja,$link_data);
                        $idnum=msql_result($res_caja,0,'idnum1');
                        
                        if(empty($idnum))
                        {
                             $sql_inse='insert into caja1(docu,numero)value("IE10","'.$numecaja.'")';
                             $res_inse=msql_query($sql_inse,$link_data);
                             $res_caja=msql_query($sql_vtas,$link_data);
                             $idnum=msql_result($res_vtas,0,'idnum1');
                        }
                        

                        $sql_dele='delete from caja2 where idnum2="'.$idnum.'"';
                        $res_dele=msql_query($sql_dele,$link_data);

                        $sql_inse='insert into caja2(idnum2,iddet)value("'.$idnum.'","1")';
                        $res_inse=msql_query($sql_inse,$link_data);

                        
                        $fechacaja=$datos['fecha'];
                        $fechacaja=date('Y-m-'.$colu,strtotime($fechacaja.'+1 month'));
                        if($fechacaja<'2020-01-01')
                        {
                             $fechacaja='2020-01-01';
                             $fechacaja=date('Y-m-'.$colu,strtotime($fechacaja.'+1 month'));
                        }
                        
                        $sql_updt='update caja1 set ';
                        $sql_updt.='fecha="'.$fechacaja.'",';
                        $sql_updt.='numero="'.$numecaja.'",';
                        $sql_updt.='ptoe="'.$ptoe.'",';
                        $sql_updt.='caja="'.$caja.'",';
                        $sql_updt.='enti="'.$enti.'",';
//                         $sql_updt.='attn="'.$datos['atencion'].'",';
                        $sql_updt.='concepto="'.$datos['concepto'].'",';
//                         $sql_updt.='rcdd="'.$datos['vndd'].'",';
//                         $sql_updt.='infoadic="'.$datos['infoadic'].'",';
//                         $sql_updt.='proyecto="NUEVA JERUSALEM",';
//                         $sql_updt.='pisomz="'.$datos['pisomz'].'",';
//                         $sql_updt.='dptovi="'.$datos['dptovi'].'",';
                        $sql_updt.='status="-"';
                        $sql_updt.='where idnum1="'.$idnum.'" ';
                        $res_updt=msql_query($sql_updt,$link_data);

//                         echo '<br>==>'.$sql_updt;

                        $sql_updt='update caja2 set ';
//                         $sql_updt.='item="'.$datos['item'].'",';
                        $sql_updt.='docum="FC50",';
                        $sql_updt.='ptoem="'.$ptoe.'",';
                        $sql_updt.='numer="'.$numero.'",';
                        $sql_updt.='cant="'.$datos[$idx].'",';
                        $sql_updt.='puni=1,';
                        $sql_updt.='detalle="'.'COBRO - '.$colu.'"';
                        $sql_updt.='where idnum2="'.$idnum.'" ';
                        $res_updt=msql_query($sql_updt,$link_data);
                        
//                         echo '<br>==>'.$sql_updt;
                          
                        
                   }
                   
              }
              
              
              
              
         }
         
         
    }

    // Cerrar el archivo
    fclose($handle);
} else {
    echo "No se pudo abrir el archivo.";
}

     
              $sql_updt='update vtas1 set fecha="2020-01-01" where fecha <"2020-01-01"';
              $res_updt=msql_query($sql_updt,$link_data);
              
              $sql_updt='update vtas1 set enti="9999999999" where ifnull(enti,0)*1=0';
              $res_updt=msql_query($sql_updt,$link_data);
              
//               $sql_updt='update enti0 set enti_wsapp="'.$datos['wsapp'].'" where enti_codigo="'.$enti.'"';
//               $res_updt=msql_query($sql_updt,$link_data);
              
     
     
     
return;
     
     
     
}



?>



<?php




echo '<br>==========='.$cfg_empr;

// if($cfg_empr!='icvs'){return;}


// $sql_vtas='update vtas1 set enti=replace(enti,"-","") where enti like "%-%"';
// $res_vtas=msql_query($sql_vtas,$link_data);

// $sql_vtas='update vtas1 set docu="FC50", ptoe="001101", ptov="001101"';
// $res_vtas=msql_query($sql_vtas,$link_data);

// $sql_vtas='update vtas1 set numero=lpad(idnum1,9,"0")';
// $res_vtas=msql_query($sql_vtas,$link_data);


// $sql_vtas='update vtas2 set iddet=1, cant=1, item="9999999999"';
// $res_vtas=msql_query($sql_vtas,$link_data);



// $sql_enti='select * from enti0 where enti_cedularuc like "%-%" and enti_codigo<1000';
// $res_enti=msql_query($sql_enti,$link_data);

// while($aso_enti=msql_fetch_assoc($res_enti))
// {
//      echo '<br>== '.$aso_enti['enti_cedularuc'];
//      $codi=$aso_enti['enti_codigo'];
//      $sql_updt='update enti0 set enti_codigo=replace(enti_cedularuc,"-","") where enti_codigo="'.$codi.'"';
//      $res_updt=msql_query($sql_updt,$link_data);
     
// }

// // $sql_vtas='delete from vtas1 where ifnull(enti,"")=""';
// // $res_vtas=msql_query($sql_vtas,$link_data);



?>